com.apple.foundationdb

## Interface OptionConsumer

    public interface OptionConsumer

An object on which encoded options can be set. Rarely used outside of internal implementation.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setOption(int code, byte[] parameter)` Attempt to set the given option.

### Method Detail

#### setOption

    void setOption(int code,
                   byte[] parameter)

Attempt to set the given option. The parameter interpretation is completely dependent on the option code. Normally this interface should not be used from outside this package.

Parameters:
  `code` - the encoded parameter to set
  `parameter` - the value, the range of which is dependent on the parameter `code`